Bug 69525 - iostat does not show any devices
iostat does not show any devices
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sysstat (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Charlie Bennett
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-22 19:30 EDT by Hrunting Johnson
Modified: 2007-04-18 12:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-13 10:16:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hrunting Johnson 2002-07-22 19:30:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
I have a freshly installed Compaq DL380 with two processors, 2GB of RAM, and 
four internal 32GB drives.  These are RAIDed via an internal RAID card (the 
standard one that comes with the system) to a 64GB drive, divided into 6 
partitions.  Running RedHat 7.3, with all errata applied (including the latest 
kernel, 2.4.18-5), I cannot get an iostat output on the machine.

Here is the output of /proc/partitions:
$ cat /proc/partitions 
major minor  #blocks  name     rio rmerge rsect ruse wio wmerge wsect wuse 
running use aveq

  72     0   71122560 ida/c0d0 6267 10109 129032 32370 98478 2539466 21106040 
13870540 0 430410 13903170
  72     1    1048544 ida/c0d0p1 1381 2427 30458 5300 1829 7001 70752 73600 0 
21790 78900
  72     2    6340320 ida/c0d0p2 847 1930 21674 4830 2996 2925 49232 163000 0 
41500 168090
  72     3    4194240 ida/c0d0p3 3890 5633 75626 21480 2654 19639 178880 624700 
0 35750 646180
  72     4          1 ida/c0d0p4 0 0 0 0 0 0 0 0 0 0 0
  72     5    2097104 ida/c0d0p5 3 0 24 30 0 0 0 0 0 30 30
  72     6   57442304 ida/c0d0p6 133 80 1146 640 90999 2509901 20807176 
13009260 0 373720 13009870

Here is the output of iostat:
Linux 2.4.18-5smp (gweb01.aus1.giganews.com)    07/22/2002

Device:            tps   Blk_read/s   Blk_wrtn/s   Blk_read   Blk_wrtn


Getting disk performance readouts is relatively important to use of this server.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install server
2.Run iostat
3.
	

Actual Results:  No devices are listed

Expected Results:  Devices on the machine are listed.  I expect to get at least 
the disk stats for dev72-0.

Additional info:
Comment 1 Trond Eivind Glomsrxd 2002-07-23 15:43:16 EDT
What device does this show up as? And does using the version at
http://people.redhat.com/teg/ help?
Comment 2 Hrunting Johnson 2002-07-23 15:54:53 EDT
The device doesn't show up as anything.  Nothing shows up.  The output I gave 
you is *exactly* what is returned by iostat (ie. no devices listed).  The 
version at http://people.redhat.com/teg/ does not work either.  Also, in that 
file, the log says that the requirement for gnuplot was removed, but it's still 
in the file, and the RPM still requires it.  Rebuilding from source worked, but 
like I said, iostat doesn't return any device information.
Comment 3 Trond Eivind Glomsrxd 2002-07-23 21:50:23 EDT
"What device does this show up as?" - scsi? Is it sda? Is it something special
to the driver?

gnuplot issue fixed (thanks) - removed the file requiring it before, forgot the
explicit "Requires: " line.
Comment 4 Hrunting Johnson 2002-07-24 08:26:05 EDT
From the posted info previously:
72     0   71122560 ida/c0d0 6267 10109 129032 32370 98478 2539466 21106040 
13870540 0 430410 13903170

So dev72-0 shows up as ida/c0d0, but that's not a mounted partition of course.  
The drives are mounted like so:

/dev/ida/c0d0p1 / ext3 rw 0 0
none /proc proc rw 0 0
none /dev/pts devpts rw,gid=5,mode=620 0 0
/dev/ida/c0d0p6 /news ext3 rw 0 0
none /dev/shm tmpfs rw 0 0
/dev/ida/c0d0p3 /usr ext3 rw 0 0
/dev/ida/c0d0p2 /var ext3 rw 0 

We have a Compaq Proliant 8500 which uses the same type of SmartCard running 
stock RedHat 7.2 (with all applicable errata) and the iostat information shows 
up as:

Device:        tps   Blk_read/s   Blk_wrtn/s   Blk_read   Blk_wrtn
dev72-0      25.00         0.00       240.00          0       1200

That card, too, shows up as ida/c0d0.
Comment 5 Hrunting Johnson 2002-08-29 14:17:08 EDT
This is a followup.  I have another single processor DL380 with a PCI SCSI card 
inside that we hooked a SCSI RAID to.  iostat finds the SCSI RAID just fine, 
but stats for the internal SmartArray card are not shown.  I've confirmed that 
the data is not showing up in /proc/stat

On this DL380, I've upgraded the kernel to the latest errata (2.4.18-10).  
Again, I don't have this problem with similar machines under RedHat 7.2 (2.4.9-
31/34).  Those disk I/O stats would be really nice.
Comment 6 Justin Albstmeijer 2002-10-22 04:50:52 EDT
Same problem here with a Compaq DL360 running RH7.3 + all updates.

Any solution yet?

Comment 7 Hrunting Johnson 2002-11-20 10:15:56 EST
This appears to be resolved with the latest kernel errata (2.4.18-18.7.x).  
Anyone else want to verify?
Comment 8 Mike A. Harris 2002-11-20 10:22:04 EST
Yes, I believe fixes that went into the latest kernel erratum regarding
the kernel's Hz value have resolved this issue.

Arjan can you comment?
Comment 9 Nils Philippsen 2004-01-13 10:16:16 EST
Closing (no activity, apparently fixed, 7.3 EOL)

Note You need to log in before you can comment on or make changes to this bug.